.common_conditions: &common_conditions
  state: opened
  ruby: |
    !has_stage_label? && !has_group_label?

.common_actions: &common_actions
  labels:
    - "devops::verify"
    - "group::runner"
    - "Category:Runner"

resource_rules:
  issues:
    rules:
      - name: Add the ~"group::runner" and ~"devops::verify" label to open issues
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions

  merge_requests:
    rules:
      - name: Add the ~"group::runner" and ~"devops::verify" label to open merge requests
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions
